# PetscViewerDrawBaseAdd

add to the base integer that is added to the windownumber passed to PetscViewerDrawGetDraw()

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscViewerDrawBaseAdd(PetscViewer viewer,PetscInt  windownumber)

Not collective (but PetscDraw returned will be parallel object if PetscViewer is)

### Input Parameters

| viewer | - the PetscViewer (created with PetscViewerDrawOpen())
| windownumber | - how much to add to the base

### See Also

PetscViewerDrawGetLG(), PetscViewerDrawGetAxis(), PetscViewerDrawOpen(), PetscViewerDrawGetDraw(), PetscViewerDrawBaseSet()

Level:developer
Location:src/sys/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages